import java.util.List;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.TypedQuery;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Root;

@Stateless
public class PersistenceServiceBean {
	@PersistenceContext
	private EntityManager em;

	public void seed() {
		em.persist(new Record("Sample record"));
	}

	public List<Record> selectAll() {

		CriteriaBuilder cb = em.getCriteriaBuilder();

		CriteriaQuery<Record> c = cb.createQuery(Record.class);

		Root<Record> p = c.from(Record.class);

		c.select(p);

		TypedQuery<Record> q = em.createQuery(c);

		List<Record> result = q.getResultList();

		if (result.size() > 0) {
			System.out.println("mhh");
		} else {
			System.out.println("waa");
		}

		return q.getResultList();

		// return em.createQuery("select r from Record r").getResultList();
	}
}
